## org.eclipse.datatools.modelbase.sql.query
Interface ResultColumn

All Superinterfaces:
  QueryResultSpecification, SQLObject, SQLQueryObject

All Known Implementing Classes:
  ResultColumnImpl

    public interface ResultColumn

extends QueryResultSpecification

A representation of the model object 'SQL Result Column'.

The following features are supported:

- `Value Expr`
- `Order By Result Col`

See Also:
  `SQLQueryModelPackage.getResultColumn()`

Method Summary
`EList` `getOrderByResultCol()` Returns the value of the 'Order By Result Col' reference list.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryResultSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueExpr

    QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`Result Column`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getResultColumn_ValueExpr()`, `QueryValueExpression.getResultColumn()`

### setValueExpr

    void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

### getOrderByResultCol

    EList getOrderByResultCol()

  Returns the value of the 'Order By Result Col' reference list. The list contents are of type `OrderByResultColumn`. It is bidirectional and its opposite is '`Result Col`'.

  If the meaning of the 'Order By Result Col' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order By Result Col' reference list.
  See Also:
    `SQLQueryModelPackage.getResultColumn_OrderByResultCol()`, `OrderByResultColumn.getResultCol()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.